+++
title = 'Intro'
date = 2024-01-11T17:48:10-05:00
draft = false
tags = ["Intro"]
+++

![freebsd daemon holding a trans flag instead of their usual trident](/freebsdTrans.png "freebsd daemon holding a trans flag instead of their usual trident")

## Bonjour !

Je m'appelle violette. Je suis étudiante (pour encore quelques mois seulement!)
à l'université de Sherbrooke, Québec ainsi que Polytech Annecy Chambéry, France.
J'y étudis l'informatique.

Ce "blog" me permettera de partager mes horribles fautes d'ortaugraffe, et de
ventiller mes point de vue sur certaines technologies, ou avanacement que je
pourrais faire.

Je suis très interessée par l'informatique de bas niveau. J'aime aller regarder
comment fonctionne un ordinateur au plus bas niveaux. Pour ce faire, j'aime
aller fouiller dans le code de différentes saveurs de BSD (FreeBSD
principalement) ainsi que Linux.

Pendant mon temps libre, on peut me trouver faire des sons horribles à la
guitare, me plaindre que j'arrive jamais à prendre de photo nettes ou bien 
essayer de patcher ce tabar@#0! de [dwl](https://codeberg.org/dwl/dwl).

## Notes sur le site
J'aime beaucoup les choses esthétiquement simple ! Je suis correct pour faire
quelque chose qui me plaît, mais je peine à faire des choses belles quand elles
sont plus compliquées. Donc ici, ca va rester très simple :)

Aussi, j'essaie d'éviter le JavaScript dans un contexte Web le plus possible.
C'est une autoroute qui mène trop souvent à charger des miriades de libriaries
inutiles, et ralenti voir polu le Web. C'est correct pour des applications qui
en ont besoins, mais pour moi c'est inacceptable de devoir en utiliser pour
des applications aussi bénines que ce site.

Pour cette raison, ce site n'en utilise pas. (aussi, j'utilise des machines qui
ont l'âge de voter dans beaucoup de pays, et je veux que mes sites soient
utilisables marcher pour ce genre de machine)

### Thème sombre
Comme je m'interdit le JS, je ne peux pas stocker de variable, et ainsi
le site ne peux pas se rappeller du thème préfèré de l'utilisateur.ice, et donc
celui-ci est réinitialisé (selon les préférences du système / navigateur) à
chaque changement de page.

### Langues
J'essairais de traduire les postes important en anglais (ou français, selon le
sens), mais je garderais les postes technologiques en anglais seulement.

## Services
J'héberge moi même un service [git](https://git.violette.town/violette),
un serveur matrix (avec son service ntfy et turn), plusieurs serveur mail et
ces sites.

## Contacts
Voici les moyens que je propose pour me contacter:
* mail: `vi@violette.town`
* matrix (\~personnel): `@violette:bigblase.xyz`

## "Professionnel"
* CV: [CV](https://git.violette.town/violette/cv/raw/branch/typst/main_public_fr.pdf)!
* git: [violette.town](https://git.violette.town/violette)
* github (old): [@thebigblase](https://github.com/thebigblase)
